summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Abbott <dabbott@gentoo.org>2010-08-13 16:46:21 -0400
committerDavid Abbott <dabbott@gentoo.org>2010-08-13 16:46:21 -0400
commit4515b8c21ce025ebd410240bf7aa7a34f6fcfd6d (patch)
tree8c04463e7c75463c43ac6023fec458ce98cf2b5f /net-analyzer
parent[new] Log-Any-Adapter-Dispatch-0.06 (diff)
downloadperl-overlay-4515b8c21ce025ebd410240bf7aa7a34f6fcfd6d.tar.gz
perl-overlay-4515b8c21ce025ebd410240bf7aa7a34f6fcfd6d.tar.bz2
perl-overlay-4515b8c21ce025ebd410240bf7aa7a34f6fcfd6d.zip
Bumped to 2.1.2 changed filename nikto to nikto.pl to line up with documentation
(Portage version: 2.2_rc67/git/Linux x86_64) (Signed Manifest commit)
Diffstat (limited to 'net-analyzer')
-rw-r--r--net-analyzer/nikto/ChangeLog7
-rw-r--r--net-analyzer/nikto/Manifest13
-rw-r--r--net-analyzer/nikto/files/nikto-2.1.2-PL.patch20
-rw-r--r--net-analyzer/nikto/nikto-2.1.2.ebuild60
4 files changed, 95 insertions, 5 deletions
diff --git a/net-analyzer/nikto/ChangeLog b/net-analyzer/nikto/ChangeLog
index e0fdf3550..41c4154dc 100644
--- a/net-analyzer/nikto/ChangeLog
+++ b/net-analyzer/nikto/ChangeLog
@@ -2,6 +2,13 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nikto/ChangeLog,v 1.24 2009/03/20 16:02:06 dertobi123 Exp $
+*nikto-2.1.2 (13 Aug 2010)
+
+ 13 Aug 2010; David Abbott <dabbott@gentoo.org> +nikto-2.1.2.ebuild,
+ +files/nikto-2.1.2-PL.patch:
+ Bumped to 2.1.2 changed filename nikto to nikto.pl to line up with
+ documentation
+
23 Feb 2010; David Abbott <dabbott@gentoo.org> nikto-2.1.1.ebuild:
removed bundled lib LW2.pm in src_prepare
diff --git a/net-analyzer/nikto/Manifest b/net-analyzer/nikto/Manifest
index 3c8890d0c..885fa5317 100644
--- a/net-analyzer/nikto/Manifest
+++ b/net-analyzer/nikto/Manifest
@@ -2,15 +2,18 @@
Hash: SHA1
AUX nikto-2.1.1-PL.patch 905 RMD160 43d90235c48e85733fd3743e622bdc06a39b1aa8 SHA1 9bd8f86b7f6287ce252e5c116d51c02f7fa9cf48 SHA256 702843f093edc5676bb49578fa74688246e36c83031079527123252f34cb53d3
+AUX nikto-2.1.2-PL.patch 870 RMD160 d4ac50fe9b6b148281a04364497f44dfac83829b SHA1 d54eb769e48820412e0d057d3df7cbc8a1910757 SHA256 bb8c500f16dcdef59790c8447c79fa59ab927a27b116d7e049132d3e2ce8c4a4
AUX nikto.conf 2742 RMD160 f369a60ff661ab64d0b27e817761dc7446869ec6 SHA1 3624fce0b76130035456481e6a7e607005c75eff SHA256 c6d677faad81f2d62d19a3de4d363c0934e7c731cf89f6827ed92d1490b6e986
DIST nikto-2.1.1.tar.bz2 262100 RMD160 16d4c897798f9831944b79cb9b487e2a719e2c89 SHA1 f1c4faf11d658376212ed9eb47b55e8f76bc9cbf SHA256 11443267c33ebdc696e39a9e76f5a842f5dc568afc7351d22310991ee900c29d
+DIST nikto-2.1.2.tar.bz2 269382 RMD160 f614e7e38f76637cf7bdaaff3eb6aaca1550d571 SHA1 7550973c008138e26d3e3b6c9c78d8ad39ee9768 SHA256 813b457ec181c9e71b4d441161c457de198328e46de8c91c53182d03ace65376
EBUILD nikto-2.1.1.ebuild 1385 RMD160 a7ba6ffa1c33ec6602fc517026f1c8e17267ff1d SHA1 46bb7ef640d1278081c22816ec007c078a1bbcd3 SHA256 a577b1f377fa7e7fe25b15b4835fb2b315fca2cba1115e6525becca84c1403c6
-MISC ChangeLog 4233 RMD160 50a238bae7cfee89bbd9ab40e9bfffd9f01d928f SHA1 1bc9b97483c669137a0ca221008042da330461c6 SHA256 606e0585dd5eba179caf010746f50efd04549f2b3fb138121bf0ad7b43d4de56
+EBUILD nikto-2.1.2.ebuild 1444 RMD160 63b2797a23b8d72655c87423aaf0f4c01be863e7 SHA1 1b3b1c73e9f2bec3ded7768bd31023419f235400 SHA256 65a30bf28747ea460aedf356264a90e2361576e186ab87dc2f41488e74c7ee6d
+MISC ChangeLog 4448 RMD160 d8e50d325e0b577b82c63ef98a72ef8354493c2b SHA1 bb503fc4feb6d051ad4eeb411ef001730be8e729 SHA256 c4013452534fbfb7aaf670eb1e2da17d7bedf99a59a8658eb23cd5338b0b45aa
MISC metadata.xml 305 RMD160 647980838c590f54441a053916ea629e53e551c0 SHA1 99ef1deeae9a934fb6e46cf5fc4a5fcb8379a74a SHA256 f05dbef15061919972882cab07057e102760a542beba17d131194091401cd7ca
-----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.14 (GNU/Linux)
+Version: GnuPG v2.0.16 (GNU/Linux)
-iEYEARECAAYFAkuDcRsACgkQcZ+z4vAcSsxFbQCfY8/RoJ2T2V1h0Te7FqazLUBi
-KZ8An3hj7jyS1T9wm7HJ1VW7PwTponNd
-=RluO
+iEYEARECAAYFAkxlrx0ACgkQcZ+z4vAcSszZAACfThergJhM8wtwcIleBcwoZAVO
+FCAAn3hM01FDFbCs0Zl73bc8dGAx1eEp
+=R9nA
-----END PGP SIGNATURE-----
diff --git a/net-analyzer/nikto/files/nikto-2.1.2-PL.patch b/net-analyzer/nikto/files/nikto-2.1.2-PL.patch
new file mode 100644
index 000000000..9d44275f3
--- /dev/null
+++ b/net-analyzer/nikto/files/nikto-2.1.2-PL.patch
@@ -0,0 +1,20 @@
+--- a/nikto-2.1.2/nikto.pl 2010-07-11 20:27:03.000000000 -0400
++++ b/nikto-2.1.2/nikto.pl 2010-08-13 15:57:43.000000000 -0400
+@@ -52,7 +52,7 @@
+ $NIKTO{'DIV'} = "-" x 75;
+ $NIKTO{'version'} = "2.1.2";
+ $NIKTO{'name'} = "Nikto";
+-$NIKTO{'configfile'} = "/etc/nikto.conf"; ### Change this line if it's having trouble finding it
++$NIKTO{'configfile'} = "/etc/nikto/nikto.conf"; ### Change this line if it's having trouble finding it
+
+ # put a signal trap so we can close down reports properly
+ $SIG{'INT'} = \&safe_quit;
+@@ -89,7 +89,7 @@
+ require "$NIKTOCONFIG{'PLUGINDIR'}/nikto_core.plugin";
+ nprint("T:$starttime: Starting", "d");
+ require "$NIKTOCONFIG{'PLUGINDIR'}/nikto_single.plugin";
+-require "$NIKTOCONFIG{'PLUGINDIR'}/LW2.pm";
++use LW2;
+
+ my ($a, $b) = split(/\./, $LW2::VERSION);
+ die("- You must use LW2 2.4 or later\n") if ($a != 2 || $b < 4);
diff --git a/net-analyzer/nikto/nikto-2.1.2.ebuild b/net-analyzer/nikto/nikto-2.1.2.ebuild
new file mode 100644
index 000000000..34ba76392
--- /dev/null
+++ b/net-analyzer/nikto/nikto-2.1.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit eutils
+
+DESCRIPTION="Web Server vulnerability scanner."
+HOMEPAGE="http://www.cirt.net/code/nikto.shtml"
+SRC_URI="http://www.cirt.net/source/nikto/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ssl"
+
+DEPEND="dev-lang/perl
+ net-analyzer/nmap
+ ssl? (
+ dev-libs/openssl
+ dev-perl/Net-SSLeay
+ )
+ >=net-libs/libwhisker-2.5"
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ rm plugins/LW2.pm || die "removing bundled lib LW2.pm failed"
+ epatch "${FILESDIR}"/${PF}-PL.patch || die "patch failed"
+}
+
+src_install() {
+
+ dodir /etc/nikto || die "dodir failed"
+ insinto /etc/nikto
+ doins "${FILESDIR}/nikto.conf" || die "doins failed"
+
+ dobin nikto.pl || die "dobin failed"
+ insinto /usr/bin
+ doins nikto.pl || die "doins failed"
+
+ dodir /usr/share/nikto || die "dodir failed"
+ insinto /usr/share/nikto
+ doins docs/nikto.dtd || die "dodoc failed"
+
+ dodir /var/lib/nikto || die "dodir failed"
+ insinto /var/lib/nikto
+ doins -r templates plugins || die "doins failed"
+
+ dodoc docs/*.txt || die "dodoc failed"
+ dohtml docs/nikto_manual.html || die "dohtml failed"
+ doman docs/nikto.1 || die "doman failed"
+}
+
+pkg_postinst() {
+ elog 'Default configuration file is "/etc/nikto/nikto.conf"'
+ elog 'To test "perl /usr/bin/nikto.pl -h 192.168.0.1"'
+ elog 'This will scan the IP 192.168.0.1 on TCP port 80'
+}